Subject: Re: [bug#42793] adding git fetch origin keyring:keyring to contributing.texi
From: Leo Famulari <[email-masked]>
To: Joshua Branson via Guix-patches via <[email-masked]>
Cc: [email-masked]
Date: Thu, 27 Aug 2020 16:07:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Aug 10, 2020 at 05:34:18AM -0400, Joshua Branson via Guix-patches via wrote:
> I recently followed the guix manual guide for building guix from git
> (great work by the way.  That is an awesome guide).  However, when I
> tried to run "make authenticate", or "guix authenticate", or guix git
> authenticate 9edb3f66fd807b096b48283debdcddccfea34bad \ "BBB0 2DDF
> 2CEA F6A8 0D1D E643 A2A0 6DF2 A33A 54FA", I got this error:
> 
> guix git: error: Git error: cannot locate remote-tracking branch 'keyring'
> 
> After running
> 
> #BEGIN_SRC sh
> git fetch origin keyring:keyring
> #END_SRC
> 
> Everything worked.

Thanks!

> From 9d5d74c1c481a73657e6da046d2db80bbd2fe150 Mon Sep 17 00:00:00 2001
> From: Joshua Branson <[email-masked]>
> Date: Mon, 10 Aug 2020 05:20:30 -0400
> Subject: [PATCH] doc: add command to fetch keyring branch
> 
> * doc/contributing.texi (Building from Git): I added a command to fetch the
> keyring branch.  Without this command, users may not be able to authenticate
> guix.

I rewrote the commit message, fixed a nearby typo, and pushed as
3e9c6ee19de6b7852f4b401aa31b1d0098f085a3